Subject: 'git mv' doesn't move submodule if it's in a subdirectory

From: Albin Otterhäll <[email-masked]>
Date: Fri, 15 Apr 2016 10:14:11 +0200

I've a submodule located in a subdirectory
({git_rep}/home/{directory}/{submodule}), and I wanted to move the whole
directory up a level ({git_rep}/{directory}/{submodule}). But when I
used 'git mv {directory} ../' the '.gitmodule' file didn't get modified.

Best regards,
Albin Otterhäll